export class CategoryUtils {
  static isRBZHByName(categoryName: string) {
    return categoryName === '人博展会';
  }

  static isHYLTByName(categoryName: string) {
    return categoryName === '行业论坛';
  }

  static isZPOrRBByName(categoryName: string) {
    return this.isRBZHByName(categoryName) || this.isHYLTByName(categoryName);
  }

  static isNewsByName(categoryName: string) {
    return categoryName === '行业资讯';
  }

  static isIndustryPolicyByName(categoryName: string) {
    return categoryName === '行业政策';
  }

  static isNewsOrTrendsByName(categoryName: string) {
    return this.isNewsByName(categoryName) || categoryName === '行业动态';
  }
  static isHumanResourceByName(categoryName: string) {
    return categoryName === '人力资源协会';
  }
  static isZPOrRBOrNewsOrTrendsByName(categoryName: string) {
    return this.isZPOrRBByName(categoryName) || this.isNewsOrTrendsByName(categoryName);
  }
  static isIHasPark(categoryName: string) {
    return categoryName === '我有园区';
  }
  static isHumanResource(categoryName: string) {
    return categoryName === '人资公司';
  }
  static isSocialSecurityAgency(categoryName: string) {
    return categoryName === '社保代理';
  }
  static isIHasOrder(categoryName: string) {
    return categoryName === '我有订单';
  }
  static isIHasResource(categoryName: string) {
    return categoryName === '我有人';
  }
  static isINeedHeadHunter(categoryName: string) {
    return categoryName === '我要猎头';
  }
  static isINeedTrain(categoryName: string) {
    return categoryName === '我要培训';
  }

  static isINeedPerson(categoryName: string) {
    return categoryName === '我要人';
  }
  static isINeedConsult(categoryName: string) {
    return categoryName === '我要咨询';
  }
  static isRLZYJJRXH(categoryName: string) {
    return categoryName === '人力资源经理人协会';
  }
  static isZYXS(categoryName: string) {
    return categoryName === '卓玥学社';
  }

  static isSchoolRecruit(categoryName: string) {
    return categoryName === '校园招聘';
  }

  static isFXDQCategory(categoryName: string) {
    return categoryName === '发薪电签';
  }

  static isBackToneCategory(categoryName: string) {
    return categoryName === '背调';
  }

  static isProductCategory(categoryName: string) {
    return (
      this.isFXDQCategory(categoryName) ||
      categoryName === '保险' ||
      this.isBackToneCategory(categoryName)
    );
  }
  static isInsurance(categoryName: string) {
    return categoryName === '保险';
  }

  static isInformationCategory(categoryName: string) {
    return (
      this.isZPOrRBByName(categoryName) ||
      this.isNewsOrTrendsByName(categoryName) ||
      this.isIndustryPolicyByName(categoryName) ||
      this.isZYXS(categoryName)
    );
  }
}
